
Foreman - Bug #1178

Foreman tries to use autosign.conf when not required

09/22/2011 03:39 PM - Benjamin Goldsbury

Status: Closed   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using a smart-proxy for your Puppet CA, foreman still attempts to use /etc/puppet/autosign.conf.  If it does not have permission

to it, it will not be able to build the host and you get an error in production.log.

Related issues:

Related to Foreman - Refactor #1533: depreciate usage of puppetrun, puppetca ... Closed 03/14/2012

History

#1 - 09/22/2011 03:46 PM - Ohad Levy

if the smart proxy is defined and you selected in the host level (e.g. the drop down next to the puppetmaster field), you should not get that message.

that code is part of the legacy foreman code, and should be removed

#2 - 03/21/2012 08:12 AM - Ohad Levy

- Status changed from New to Closed

no longer relevant after #1533
